For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTMake a call
      • GETGet a call
      • GETList calls
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APICalls

Make a call

||View as Markdown|
POST
/calls
POST
/v2/calls
$curl -X POST https://api.synthflow.ai/v2/calls \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model_id": "1696372226173x164740052408336400",
> "phone": "+12345678987",
> "name": "David",
> "from_phone_number": "+16286666348",
> "custom_variables": [
> {
> "key": "Company",
> "value": "Synthflow"
> },
> {
> "key": "Role",
> "value": "Sales Specialist"
> }
> ],
> "prompt": "You are a helpful sales assistant.",
> "greeting": "Hello, this is Sarah calling from Acme Corp."
>}'
1{
2 "status": "success",
3 "response": {
4 "answer": "ok",
5 "call_id": "1691579123700x31589864853004400"
6 }
7}

Initiates a real-time phone call through the AI agent.

Was this page helpful?
Previous

Get a call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
model_idstringRequired

Agent ID. You can find it on the agent’s page in your dashboard.

phonestringRequired
Call recipient's phone number.
namestringRequired
Call recipient's name.
from_phone_numberstringOptional
Optional outbound caller ID. Must match a phone number attached to the outbound agent.
custom_variableslist of objectsOptional

Key-value pairs of pre-call variables, called custom variables in the API, that you can dynamically inject into the prompt. Learn more.

lead_emailstringOptional
The customer's email that can be used to book an appointment.
lead_timezonestringOptional

The customer’s time zone that can be used to book an appointment. For a list of all available time zones, see Time zones.

promptstringOptional
The prompt that the agent will use.
greetingstringOptional
The greeting the agent will use.

Response

200
statusstring
responseobject
etainteger
How long it will take to initialize the call, in seconds.

Errors

400
Bad Request Error